Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 433410 - gdb: double free or corruption when restarting program after symbols changed
Summary: gdb: double free or corruption when restarting program after symbols changed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 233276 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-19 04:45 UTC by Jim Hayward
Modified: 2008-05-13 15:26 UTC (History)
0 users

Fixed In Version: 6.8-5.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-13 15:26:07 UTC


Attachments (Terms of Use)
stack trace (deleted)
2008-02-19 04:45 UTC, Jim Hayward
no flags Details

Description Jim Hayward 2008-02-19 04:45:43 UTC
Description of problem:
When restarting a program in gdb after making a change and recompiling, gdb
exits with *** glibc detected *** gdb: double free or corruption (!prev)

Version-Release number of selected component (if applicable):
gdb-6.7.1-12.fc9.x86_64

How reproducible:


Steps to Reproduce:
1. run a program under gdb.. gdb some/program
2. close the program
3. make a change and recompile the program
4. restart the program
  
Actual results:
gdb exits with *** glibc detected *** gdb: double free or corruption (!prev)

Expected results:
gdb should not exit

Additional info:

Comment 1 Jim Hayward 2008-02-19 04:45:43 UTC
Created attachment 295247 [details]
stack trace

Comment 2 Jim Hayward 2008-04-08 15:02:51 UTC
*** Bug 233276 has been marked as a duplicate of this bug. ***

Comment 3 Jan Kratochvil 2008-04-14 00:07:42 UTC
It should be fixed in Rawhide/F9.
Upstream does not have this problem as it does not update / it has stale
information about the EXEC file being run which hurts support of PIEs
(Position-Independent-Executable) missing upstream.
The Fedora patch I put there for the EXEC file update was broken.


Comment 4 Jim Hayward 2008-04-14 04:44:48 UTC
I grabbed 6.8-2 from koji. Appears to be fixed here. Tested on i386. Not tested
on x86_64, but I was seeing the problem on both. Thanks.

Comment 5 Fedora Update System 2008-05-12 12:23:57 UTC
gdb-6.8-5.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-05-13 15:25:58 UTC
gdb-6.8-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.